For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • GETGet balance definition list
      • POSTCreate balance definition
      • GETGet balance definition
      • PUTUpdate balance definition
      • DELDelete balance definition
      • POSTCreate balance limits
      • GETGet balance limits
      • DELDelete balance limit
      • PUTUpdates balance limit
      • GETGet subscription balances
      • POSTCreate subscription balances
      • GETGet balance list
      • POSTCreate new transaction
      • POSTComplete transaction
      • POSTCancel transaction
      • POSTCreate balance order
      • GETGet Active Balances API
      • GETGet Transaction History API
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyBalance

Get balance definition list

GET
https://api.brevo.com/v3/loyalty/balance/programs/:pid/balance-definitions
GET
/v3/loyalty/balance/programs/:pid/balance-definitions
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.balance.getBalanceDefinitionList("pid", {});
8}
9main();
1{
2 "items": [
3 {
4 "id": "string",
5 "name": "string",
6 "description": "string",
7 "imageRef": "string",
8 "meta": {},
9 "unit": "POINTS",
10 "minAmount": 1.1,
11 "maxAmount": 1.1,
12 "maxCreditAmountLimit": 1.1,
13 "maxDebitAmountLimit": 1.1,
14 "balanceOptionAmountOvertakingStrategy": "strict",
15 "balanceOptionCreditRounding": "lower",
16 "balanceOptionDebitRounding": "lower",
17 "balanceAvailabilityDurationValue": 1,
18 "balanceAvailabilityDurationUnit": "day",
19 "balanceAvailabilityDurationModifier": "noModification",
20 "balanceExpirationDate": "string",
21 "createdAt": "2024-01-15T09:30:00Z",
22 "updatedAt": "2024-01-15T09:30:00Z",
23 "deletedAt": "2024-01-15T09:30:00Z"
24 }
25 ]
26}
Returns balance definition page
Was this page helpful?
Previous

Create balance definition

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program Id

Query parameters

limitintegerOptional1-500Defaults to 200
Limit the number of records returned
offsetintegerOptional>=0Defaults to 0
Offset to paginate records
sortFieldenumOptionalDefaults to updated_at
Field to sort by
Allowed values:
sortenumOptionalDefaults to desc
Sort direction
Allowed values:
versionenumOptionalDefaults to draft
Version
Allowed values:

Response

Successful retrieval of balance definition page
itemslist of objects
list of balance definitions

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error